// 
// This header file is generated automatically
// (C) Copyright Verified Systems International GmbH
// 

// Global Definitions
// 
#ifndef _ifm123_A2C_H
#define _ifm123_A2C_H

#ifndef true
#define true   1
#endif

#ifndef false
#define false  0
#endif

// Types
// 
typedef enum { 
 accelerate,
 brake,
 ctrl,
 maxSpeedReached,
 slowDown,
 speed,
 speedUp,
 steady,
 zeroSpeedReached
} t_csp_tokens;

// Definitions
// 
#define ACCELERATE0 71
#define BRAKE0 77

#define  FIRST_OUT_EVENT 71
#define  NO_OF_OUT_EVENT 12

#define NO_OF_EVENTS 83
#define NO_OF_PARMS 3

// Function Prototypes
// 
extern int rttChanOf(int event);
extern int rttParmOf(int event, int parmNum);

#endif // _ifm123_A2C_H
